gss_userok(3)

NAME
gss_userok - API function

SYNOPSIS
#include <gss.h>

int gss_userok(const gss_name_t name, const char * username);

ARGUMENTS

const gss_name_t name
    (gss_name_t, read) Name to be compared.

const char * username
    Zero terminated string with username.

DESCRIPTION
Compare the username against the output from gss_export_name() invoked on name, after removing the leading OID. This answers the question whether the particular mechanism would authenticate them as the same principal

WARNING
This function is a GNU GSS specific extension, and is not part of the official GSS API.

RETURN VALUE
Returns 0 if the names match, non-0 otherwise.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.